Bug 1654665 - Review Request: perl-MooseX-SingleArg - No-fuss instantiation of Moose objects using a single argument
Summary: Review Request: perl-MooseX-SingleArg - No-fuss instantiation of Moose object...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1654667
TreeView+ depends on / blocked
 
Reported: 2018-11-29 11:34 UTC by Xavier Bachelot
Modified: 2018-12-15 03:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-15 03:18:48 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Xavier Bachelot 2018-11-29 11:34:45 UTC
Spec URL: https://www.bachelot.org/fedora/SPECS/perl-MooseX-SingleArg.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/perl-MooseX-SingleArg-0.08-1.fc29.src.rpm

Description: 
This module allows Moose instances to be constructed with a single
argument. Your class or role must use this module and then use the
single_arg sugar to declare which attribute will be assigned the single
argument value.

Fedora Account System Username: xavierb

Comment 1 Robert-André Mauchin 2018-11-30 20:35:49 UTC
 - Use DESTDIR

 make pure_install DESTDIR=$RPM_BUILD_ROOT

URL and Source addresses are Ok.
Source archive (SHA-256: 47738d71b3efe399c07d15abf8a5d77702c63abfd014858d02535632b8ca8bd9) is original. Ok.
Summary verified from lib/MooseX/SingleArg.pm. Ok.
Description verified from lib/MooseX/SingleArg.pm. Ok.
License verified from lib/MooseX/SingleArg.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.

$ rpmlint perl-MooseX-SingleArg.spec review-perl-MooseX-SingleArg/results/perl-MooseX-SingleArg-0.08-1.fc30.noarch.rpm review-perl-MooseX-SingleArg/results/perl-MooseX-SingleArg-0.08-1.fc30.src.rpm 
perl-MooseX-SingleArg.noarch: W: spelling-error Summary(en_US) instantiation -> instantiate, substantiation, installation
perl-MooseX-SingleArg.noarch: W: spelling-error %description -l en_US arg -> rag, gar, are
perl-MooseX-SingleArg.src: W: spelling-error Summary(en_US) instantiation -> instantiate, substantiation, installation
perl-MooseX-SingleArg.src: W: spelling-error %description -l en_US arg -> rag, gar, are
2 packages and 1 specfiles checked; 0 errors, 4 warnings


$ rpm -q -lv -p perl-MooseX-SingleArg-0.08-1.fc30.noarch.rpm 
drwxr-xr-x    2 root    root                        0 nov. 30 21:24 /usr/share/doc/perl-MooseX-SingleArg
-rw-r--r--    1 root    root                      613 mai 17  2018 /usr/share/doc/perl-MooseX-SingleArg/Changes
-rw-r--r--    1 root    root                     1546 mai 17  2018 /usr/share/doc/perl-MooseX-SingleArg/META.json
-rw-r--r--    1 root    root                      402 mai 17  2018 /usr/share/doc/perl-MooseX-SingleArg/README
-rw-r--r--    1 root    root                       89 mai 17  2018 /usr/share/doc/perl-MooseX-SingleArg/cpanfile
drwxr-xr-x    2 root    root                        0 nov. 30 21:24 /usr/share/licenses/perl-MooseX-SingleArg
-rw-r--r--    1 root    root                    18346 mai 17  2018 /usr/share/licenses/perl-MooseX-SingleArg/LICENSE
-rw-r--r--    1 root    root                     2359 nov. 30 21:24 /usr/share/man/man3/MooseX::SingleArg.3pm.gz
drwxr-xr-x    2 root    root                        0 nov. 30 21:24 /usr/share/perl5/vendor_perl/MooseX
drwxr-xr-x    2 root    root                        0 nov. 30 21:24 /usr/share/perl5/vendor_perl/MooseX/SingleArg
-rw-r--r--    1 root    root                     3701 mai 17  2018 /usr/share/perl5/vendor_perl/MooseX/SingleArg.pm
drwxr-xr-x    2 root    root                        0 nov. 30 21:24 /usr/share/perl5/vendor_perl/MooseX/SingleArg/Meta
-rw-r--r--    1 root    root                      310 mai 17  2018 /usr/share/perl5/vendor_perl/MooseX/SingleArg/Meta/Class.pm
-rw-r--r--    1 root    root                      596 mai 17  2018 /usr/share/perl5/vendor_perl/MooseX/SingleArg/Meta/Object.pm
-rw-r--r--    1 root    root                      308 mai 17  2018 /usr/share/perl5/vendor_perl/MooseX/SingleArg/Meta/Role.pm
-rw-r--r--    1 root    root                      796 mai 17  2018 /usr/share/perl5/vendor_perl/MooseX/SingleArg/Meta/ToClass.pm
-rw-r--r--    1 root    root                      806 mai 17  2018 /usr/share/perl5/vendor_perl/MooseX/SingleArg/Meta/ToRole.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-MooseX-SingleArg-0.08-1.fc30.noarch.rpm  | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.1)
      1 perl(Carp)
      1 perl(Moose)
      1 perl(Moose::Exporter)
      1 perl(Moose::Role)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

Add as a BR:
      perl(Carp)
      perl(Moose::Exporter)
      perl(Moose::Role)
      perl(strict)
      perl(warnings)


$ rpm -q --provides -p perl-MooseX-SingleArg-0.08-1.fc30.noarch.rpm 
perl(MooseX::SingleArg) = 0.08
perl(MooseX::SingleArg::Meta::Class) = 0.08
perl(MooseX::SingleArg::Meta::Object) = 0.08
perl(MooseX::SingleArg::Meta::Role) = 0.08
perl(MooseX::SingleArg::Meta::ToClass) = 0.08
perl(MooseX::SingleArg::Meta::ToRole) = 0.08
perl-MooseX-SingleArg = 0.08-1.fc30
Binary provides are Ok.


Package builds in Koji (https://koji.fedoraproject.org/koji/taskinfo?taskID=31205424)
Ok

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved. Please add the missing BR before import.

Comment 2 Xavier Bachelot 2018-12-03 10:57:39 UTC
Thanks for the review. Will fix before import.

Comment 3 Gwyn Ciesla 2018-12-03 14:35:47 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-MooseX-SingleArg

Comment 4 Fedora Update System 2018-12-05 09:52:18 UTC
perl-MooseX-SingleArg-0.08-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-99ecf58bf8

Comment 5 Fedora Update System 2018-12-05 09:52:23 UTC
perl-MooseX-SingleArg-0.08-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-59df330340

Comment 6 Fedora Update System 2018-12-06 01:12:34 UTC
perl-MooseX-SingleArg-0.08-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-99ecf58bf8

Comment 7 Fedora Update System 2018-12-06 02:27:19 UTC
perl-MooseX-SingleArg-0.08-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-59df330340

Comment 8 Fedora Update System 2018-12-15 03:18:48 UTC
perl-MooseX-SingleArg-0.08-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.